younes sofiane younes sofiane - 5 months ago 43
AngularJS Question

Meteor error while trying to serve app

I'm working on an app using meteor and angular. It was working fine, but now when I try to start it, I get this:

While processing files with ecmascript (for target web.browser):


module.js:338:15: Cannot find module 'babel-plugin-transform-runtime'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\user\AppData\Local\.meteor\packages\ecmascript\0.4.1\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:4:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\user\AppData\Local\.meteor\packages\ecmascript\0.4.1\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:11:15)
at Object.getDefaultOptions (packages/babel-compiler.js:42:29)
at packages/babel-compiler.js:133:32
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget (packages/babel-compiler.js:99:14)


While minifying app stylesheet:
module.js:338:15: Cannot find module 'source-map-url'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\user\AppData\Local\.meteor\packages\standard-minifier-css\1.0.4\plugin.minifyStdCSS.os\npm\node_modules\meteor\minifier-css\node_modules\meteor\minifier-css\node_modules\css-stringify\node_modules\css\node_modules\source-map-resolve\lib\source-map-resolve-node.js:4:24)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\user\AppData\Local\.meteor\packages\standard-minifier-css\1.0.4\plugin.minifyStdCSS.os\npm\node_modules\meteor\minifier-css\node_modules\meteor\minifier-css\node_modules\css-stringify\node_modules\css\lib\stringify\source-map-support.js:8:24)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.module.exports
(C:\Users\user\AppData\Local\.meteor\packages\standard-minifier-css\1.0.4\plugin.minifyStdCSS.os\npm\node_modules\meteor\minifier-css\node_modules\meteor\minifier-css\node_modules\css-stringify\node_modules\css\lib\stringify\index.js:32:22)
at packages/minifyStdCSS_plugin.js:95:33
at CssToolsMinifier.processFilesForBundle (packages/minifyStdCSS_plugin.js:30:16)


While processing files with ecmascript (for target os.windows.x86_32):
module.js:338:15: Cannot find module 'babel-plugin-transform-runtime'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\user\AppData\Local\.meteor\packages\ecmascript\0.4.1\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:4:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\user\AppData\Local\.meteor\packages\ecmascript\0.4.1\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:11:15)
at Object.getDefaultOptions (packages/babel-compiler.js:42:29)
at packages/babel-compiler.js:133:32
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget (packages/babel-compiler.js:99:14)


=> Your application has errors. Waiting for file change.


I tried running another app, and it works fine, but this one doesn't.
I'm ruuning Meteor 1.3 on windows 10

Answer

I fixed the problem by updating to a 1.3.1 release after reading this issue comment https://github.com/meteor/meteor/issues/6609#issuecomment-205016877

meteor update --release 1.3.1-rc.3